cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted

Problem with PHP Extension

Hello, I need to host my specific web application in GoDaddy Linux hosting. the pre-required check the server to be compatible for this web apps show as below:

 

OK        Web server is suitable (Apache/2.4.25)
  OK        PHP version is at least 5.5.9 (Current Version is 5.6.30)
  OK        Fileinfo PHP extension loaded
  OK        Mcrypt PHP extension loaded
  OK        OpenSSL PHP extension loaded
  OK        Tokenizer PHP extension loaded
  OK        Mbstring PHP extension loaded
[[ ERROR ]] Zip archive PHP extension loaded: FAILED
            Install and enable Mcrypt extension

 the error said:

[[ ERROR ]] Zip archive PHP extension loaded: FAILED
            Install and enable Mcrypt extension

 

I already try to install Zip archive PHP extension, but it still show the error. and i also need to enable the Mcrypt extension in PHP.

 

Could you please help me?

 

thanks,

Sas

4 REPLIES 4

Re: Problem with PHP Extension

The best course of action is going to be to get the cpanel hosting where you have the ability to  install php modules with the click of a button. Typically you are not going to have the ability to get the php modules setup in the 4g hosting account. Keep in mind the cpanel hosting account only makes a few specific modules available mcrypt/zip being one of them.  However in the future if you are looking to get a php module installed that is not available in cpanel the solution is going to be to get a vps where you have full administrative privileges to install the modules via what is called easy apache.

Mike L. | WebPro
New

Re: Problem with PHP Extension

Still godaddy could not solve this issue. mCrypt can not available 

Re: Problem with PHP Extension

Just change PHP version to 5.4 in php selector (cPanel) to install your application. After you can change it back to latest

Re: Problem with PHP Extension

Use PHP version:  7.1